perfil_vero/blog/urls.py
from django.urls import path
from . import views

app_name = 'blog'

urlpatterns = [
    path("", views.renderPosts, name="posts"),
    path("<int:post_id>", views.post_detail, name="post_detail"),
]

perfil_vero/django_portfolio/urls.py
from django.contrib import admin
from django.urls import path, include

from django.conf.urls.static import static
from django.conf import settings

from portfolio import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('',  views.home),
    path('blog/', include('blog.urls'))
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

perfil_vero/blog/models.py
from django.db import models
import datetime


class Post(models.Model):
    title = models.CharField(max_length=100)
    description = models.TextField()
    image = models.ImageField(upload_to="blog/images")
    date = models.DateField(default=datetime.date.today)

    def __str__(self) -> str:
        return self.title

perfil_vero/portfolio/models.py
from django.db import models

from django.db import models
from django.db.models.fields import CharField, DateField, URLField
from django.db.models.fields.files import ImageField
from datetime import date


class Project(models.Model):
    title = CharField(max_length=100)
    description = CharField(max_length=250)
    image = ImageField(upload_to="portfolio/images")
    url = URLField(blank=True)
    date = DateField(default=date.today)

    def __str__(self) -> str:
        return self.title

perfil_vero/blog/views.py
from django.shortcuts import render, get_object_or_404
from .models import Post


def renderPosts(request):
    total_posts = Post.objects.count()
    posts = Post.objects.order_by("-date")
    return render(request, "blog.html", {"posts": posts, "total_posts": total_posts})


def post_detail(request, post_id):
    post = get_object_or_404(Post, pk=post_id)
    return render(request, "post_detail.html", {"post": post})

perfil_vero/portfolio/views.py
from django.shortcuts import render
from .models import Project


def home(request):
    projects = Project.objects.all()
    return render(request, "home.html", {"projects": projects})

perfil_vero/blog/templates/blog.html
{% extends 'layout.html' %}

{% block content %}

<h1 class="fs-2">Posts</h1>
<h3>There are {{total_posts}} post{{total_posts|pluralize}}</h3>

{% for post in posts %}

<div class="py-3">

  <div class="card card-body bg-black">
    <div class="row">

      <div class="col-3">
        <img class="img-fluid" src="{{post.image.url}}" alt="{{post.title}}">

      </div>
      <div class="col-9">

        <h1>{{post.title}}</h1>
        <p>{{post.description|striptags|truncatechars:100}}</p>
        <p>{{post.date|date:'M d Y'|upper}}</p>

        <a href="{% url 'blog:post_detail' post.id %}">{{post.title}}fdg</a>
      </div>
    </div>
  </div>
</div>

{% endfor %}

{% endblock %}

perfil_vero/blog/templates/post_detail.html
{% extends 'layout.html' %}

{% block content %}

<div class="text-center">

  <h1>{{post.title}}</h1>
  <h2 class="my-2 h5 text-muted">{{post.date|date:'F jS Y'}}</h2>

  <img src="{{post.image.url}}" alt="{{post.title}}" class="img-fluid">


  <div class="my-4">

  {{post.description|safe}}
  </div>
</div>

{% endblock %}

perfil_vero/portfolio/templates/home.html
{% extends 'layout.html' %}

{% block content %}

{% load static %}

<!-- Hero Section -->
<header class="row bg-black">
  <div class="col-md-4">
    <img src="{% static 'portfolio/profile.jpeg' %}" />
  </div>

  <div class="col-md-8 my-auto p-4">
    <h1>yo soy  <strong>veronica</strong></h1>
    <h3>soy desarrolladora FullStack </h3>
    <p>Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto. Lorem Ipsum ha sido el texto de relleno estándar de las industrias desde el año 1500, cuando un impresor (N. del T. persona que se dedica a la imprenta) desconocido usó una galería de textos y los mezcló de tal manera que logró hacer un libro de textos especimen. No sólo sobrevivió 500 años, sino que tambien ingresó como texto de relleno en documentos electrónicos, quedando esencialmente igual al original. Fue popularizado en los 60s con la creación de las hojas "Letraset", las cuales contenian pasajes de Lorem Ipsum, y más recientemente con software de autoedición, como por ejemplo Aldus PageMaker, el cual incluye versiones de Lorem Ipsum.</p>
    <a class="btn btn-primary btn-lg rounded-0 my-3" href="{% static 'portfolio/cv1.pdf' %}" target="_blank">Descargar mi CV</a>
  </div>
</header>

<!-- Porfolio Section -->
<div class="row my-4 text-center">

  <h3>Mis Proyectos</h3>
  <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Omnis, aperiam?</p>

  {% for project in projects %}
  <div class="col-md-4 p-4">
    <div class="card bg-black card-project">
      <img src="{{project.image.url }}" class="card-img-top" />

      <div class="card-body">

        <h2>{{ project.title }}</h2>
        <p>{{ project.description }}</p>

        {% if project.url %}
        <a href="{{project.url}}" class="btn btn-light rounded-0 btn-sm" target="_blank" rel="noreferrer">Visit the
          Project</a>
        {% endif %}
      </div>
    </div>
  </div>
  {% endfor %}
</div>


{% endblock %}

perfil_vero/portfolio/templates/layout.html
{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Django Perfil</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'main.css' %}">
</head>

<body class="text-light">

  {% include 'partials/navbar.html' %}

  <div class="container p-4">
    {% block content %}
    {% endblock %}
  </div>

</body>

</html>

perfil_vero/portfolio/templates/partials/navbar.html
{% load static %}

<nav class="navbar navbar-expand-lg navbar-dark bg-black">
  <div class="container">
    <a class="navbar-brand fw-bold fst-italic" href="/">VCR</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
      aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav ms-auto">
        <li class="nav-item">
          <a class="nav-link" href="{% url 'blog:posts' %}">Blog</a>
        </li>
        <li class="nav-item d-flex align-items-center">
          <a class="btn btn-primary btn-sm" href="{% static 'portfolio/cv1.pdf' %}" target="_blank">Descargar mi  CV</a>
        </li>
      </ul>
    </div>
  </div>
</nav>